library ieee;
use ieee.std_logic_1164.all;

entity V1_tb is
end entity;

architecture Architecture1 of V1_tb is
	component V1 is
		port (
			Clk   : in std_logic;
			Reset : in std_logic;
			GPOut : out std_logic_vector(15 downto 0)
		);
	end component;
	signal Clk : std_logic := '0';
	signal Finished : std_logic := '0';
	signal Reset : std_logic := '1';
	signal GPOut : std_logic_vector(15 downto 0);
begin
	V1_1 : V1 port map (
		Clk => Clk,
		Reset => Reset,
		GPOut => GPOut
	);
	Reset <= '0' after 3 ns;
	Finished <= '1' after 50 us;
	Clk <= not Clk after 1 ns when Finished /= '1' else
	       '0';
end architecture;
